Bug 851902 - (CVE-2012-3507) CVE-2012-3507 roundcubemail: XSS in program/steps/mail/func.inc fixed in 0.8.0
CVE-2012-3507 roundcubemail: XSS in program/steps/mail/func.inc fixed in 0.8.0
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120820,reported=2...
: Security
Depends On: 851915 851917
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-26 23:00 EDT by Kurt Seifried
Modified: 2016-03-04 07:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-27 06:59:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-08-26 23:00:59 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-3507 to
the following vulnerability:

Name: CVE-2012-3507
Reference: MLIST:[oss-security] 20120820 CVE-request: Roundcube XSS issues
Reference: URL:http://www.openwall.com/lists/oss-security/2012/08/20/2
Reference: MLIST:[oss-security] 20120820 Re: CVE-request: Roundcube XSS issues
Reference: URL:http://www.openwall.com/lists/oss-security/2012/08/20/9
Reference: MLIST:[oss-security] 20120820 Re: CVE-request: Roundcube XSS issues
Reference: URL:http://www.openwall.com/lists/oss-security/2012/08/20/3
Reference: MISC:http://www.securelist.com/en/advisories/50212
Reference: CONFIRM:http://sourceforge.net/projects/roundcubemail/files/roundcubemail/0.8.0/
Reference: CONFIRM:http://trac.roundcube.net/ticket/1488519
Reference: SECUNIA:50212
Reference: URL:http://secunia.com/advisories/50212

Cross-site scripting (XSS) vulnerability in
program/steps/mail/func.inc in RoundCube Webmail before 0.8.0, when
using the Larry skin, allows remote attackers to inject arbitrary web
script or HTML via the email message subject.
Comment 1 Kurt Seifried 2012-08-26 23:38:49 EDT
Created roundcubemail tracking bugs for this issue

Affects: epel-all [bug 851915]
Comment 2 Kurt Seifried 2012-08-26 23:39:27 EDT
Created roundcubemail tracking bugs for this issue

Affects: fedora-all [bug 851917]
Comment 3 Jan Lieskovsky 2012-08-27 06:59:54 EDT
As noted in http://sourceforge.net/news/?group_id=139281&id=308917 the new Larry skin has been introduced starting from upstream roundcube 0.8.0 version, therefore as such this issue would not affect the versions of roundcube package, as shipped with Fedora release of 16, 17, and Fedora EPEL 5 and 6.

Note You need to log in before you can comment on or make changes to this bug.